Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CallbackQueryPayload

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CallbackQueryPayload

Direct Known Subclasses:
  `TdApi.CallbackQueryPayloadData`, `TdApi.CallbackQueryPayloadDataWithPassword`, `TdApi.CallbackQueryPayloadGame`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.CallbackQueryPayload extends TdApi.Object permits TdApi.CallbackQueryPayloadData, TdApi.CallbackQueryPayloadDataWithPassword, TdApi.CallbackQueryPayloadGame
This class is an abstract base class. Represents a payload of a callback query.

## Constructor Summary

Constructors
Constructor
Description
`CallbackQueryPayload()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CallbackQueryPayload

public CallbackQueryPayload()
Default class constructor.